# Creamy horseradish

## Ingredients

- &frac34; C heavy cream
- 1 C sour cream
- 1 small container prepared horse radish
- 1 lemon, juiced
- Salt and pepper, to taste

## Directions

- Blend everything until smooth.
